/*
    Program: BLANKSCR3()
    System: GRUMPFISH LIBRARY
    Author: Greg Lief
    Copyright (c) 1988-93, Greg Lief
    CA-Clipper 5.x Version
    Compile instructions: clipper blank4 /n/w/a

    Geez!!  Not another screen-blanker!?  But this one is the coolest
    of all of them - the planetarium!  NOTE: this still uses hard-coded
    colors because the colors should be left alone for best effect.

    Calls: GFRAND()      (function in RAND.PRG)
*/

#include "setcurs.ch"
#include "grump.ch"


function blankscr3(delay)
local mstart := seconds()
local spaces_[45]
local kounter, mmrow, mmcol, key, xx

while nextkey() = 0 .and. seconds() - mstart < delay
end

if nextkey() == 0        // i.e., the do while loop timed out with no keypress
   afill(spaces_, -1)
   GFSaveEnv(.t., 0, "+bg/n")
   scroll()
   key := kounter := 0
   do while key == 0
      kounter := if(kounter < 45, kounter + 1, 1)
      xx := gfrand((maxrow() + 1) * (maxcol() + 1))
      if spaces_[kounter] > -1
         mmrow := int(spaces_[kounter] / (maxcol() + 1) )
         mmcol := int(spaces_[kounter] % (maxcol() + 1) )
         if gfrand(100) < 45
            @ mmrow, mmcol ssay chr(250) color "+w/n"
            key := max(abs( inkey(.15) ), key)
         else
            @ mmrow, mmcol ssay chr(04) color "+w/n"
            key := max(abs( inkey(.12) ), key)
            @ mmrow, mmcol ssay chr(254) color "+w/n"
            key := max(abs( inkey(.12) ), key)
            @ mmrow, mmcol ssay chr(15) color "+w/n"
            key := max(abs( inkey(.12) ), key)
         endif
         @ mmrow, mmcol ssay chr(32)
      endif
      spaces_[kounter] := xx
      @ int(xx / (maxcol() + 1)), int(xx % (maxcol() + 1)) ssay chr(250) ;
               color "+bg/n"
      key := max(abs( inkey(.01) ), key)
   enddo
   GFRestEnv()
endif
return NIL

* end function blankscr3()
*--------------------------------------------------------------------*

* eof blank4.prg
