/*
    Function: GGetColor()
    Purpose:  Return and/or change display color for a specified GET
    Author:   Greg Lief
    Dialect:  CA-Clipper 5.x
    Copyright (c) 1991-93 Greg Lief
*/

#include "grump.ch"

function ggetcolor(target, newvalue, getlist)
local oget
local ret_val := -1
default getlist to m->getlist
if ( oget := gfindget(target, getlist) ) != NIL
   ret_val := oget:colorSpec
   if newvalue != NIL
      oget:colorDisp(newvalue)
   endif
endif
return ret_val

* eof GGETCOLO.PRG
