/*
    Function: GGetName()
    Purpose:  Return variable name associated with a particular GET
    Author:   Greg Lief
    Dialect:  CA-Clipper 5.x
    Copyright (c) 1991-93 Greg Lief
*/

#include "grump.ch"

function ggetname(target, getlist)
local oget
local ret_val := ''
default getlist to m->getlist
if ( oget := gfindget(target, getlist) ) != NIL
   ret_val := oget:name
endif
return ret_val

* eof GGETNAME.PRG
