/*
    Function: GGetPic()
    Purpose:  Return and/or change PICTURE clause for a specified GET
    Author:   Greg Lief
    Dialect:  CA-Clipper 5.x
    Copyright (c) 1991-93 Greg Lief
*/
#include "grump.ch"

function ggetpic(target, newvalue, getlist)
local oget
local ret_val := ''
default getlist to m->getlist
if ( oget := gfindget(target, getlist) ) != NIL
   ret_val := oget:picture
   if newvalue != NIL
      oget:picture := newvalue
      oget:display()
   endif
endif
return ret_val

* eof GGETPIC.PRG
