/*
    Function: GReGet()
    Purpose:  Redisplay all active GETs
    Author:   Greg Lief
    Dialect:  CA-Clipper 5.x
    Copyright (c) 1991-93 Greg Lief
*/

function greget(getlist)
// use default public GETLIST array if nothing was passed
if getlist == NIL
   getlist := m->getlist
endif
// the logic below prevents hidden passwords from inadvertently
// being displayed if you used @..GGET..PASSWORD
aeval(getlist, { | get | if(get:picture == NIL .or. ;
                            left(get:picture, 2) != "@P", ;
                            get:display(), ) } )
return nil

* eof GREGET.PRG
