/*
    Program: GFRAND()
    System:  GRUMPFISH LIBRARY
    Author:  Greg Lief and Jeff Wilson
    CA-Clipper 5.x Version
    Compile instructions: clipper gfrand /n /w

    Random number generator - returns an integer in the range of 0 to N-1
*/
function GFRand(n)
static xrndseed := .123456789
if xrndseed = .123456789
   xrndseed += val(substr(time(), 7, 2)) / 100
endif
xrndseed := (xrndseed * 31415821 + 1) / 1000000
return int( (xrndseed -= int(xrndseed)) * n)

* end function GFRand()
*--------------------------------------------------------------------*

* eof rand.prg
