/*
    Function: GGetAlias()
    Purpose:  Return alias name associated with a particular GET
    Author:   Greg Lief
    Dialect:  CA-Clipper 5.x
    Copyright (c) 1991-93 Greg Lief
*/

#include "grump.ch"

function ggetalias(target, getlist)
local oget, ret_val := ''
default getlist to m->getlist
if ( oget := gfindget(target, getlist) ) != NIL
   ret_val := substr(oget:name, 1, at('->', oget:name) - 1)
endif
return ret_val

* eoef GGETALIA.PRG
